annotate udis86-1.4/config.status @ 1:4a9dcbd9e54f

-files of 0.13 beta -fixes so that it now compiles with the current dmd version
author marton@basel.hu
date Tue, 05 Apr 2011 20:44:01 +0200
parents
children
Ignore whitespace changes - Everywhere: Within whitespace: At end of lines:
rev   line source
1
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
1 #! /bin/sh
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
2 # Generated by configure.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
3 # Run this file to recreate the current configuration.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
4 # Compiler output produced by configure, useful for debugging
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
5 # configure, is in config.log if it exists.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
6
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
7 debug=false
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
8 ac_cs_recheck=false
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
9 ac_cs_silent=false
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
10 SHELL=${CONFIG_SHELL-/bin/sh}
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
11 ## --------------------- ##
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
12 ## M4sh Initialization. ##
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
13 ## --------------------- ##
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
14
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
15 # Be Bourne compatible
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
17 emulate sh
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
18 NULLCMD=:
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
19 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
20 # is contrary to our usage. Disable this feature.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
21 alias -g '${1+"$@"}'='"$@"'
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
23 set -o posix
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
24 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
25
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
26 # Support unset when possible.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
27 if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
28 as_unset=unset
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
29 else
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
30 as_unset=false
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
31 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
32
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
33
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
34 # Work around bugs in pre-3.0 UWIN ksh.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
35 $as_unset ENV MAIL MAILPATH
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
36 PS1='$ '
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
37 PS2='> '
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
38 PS4='+ '
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
39
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
40 # NLS nuisances.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
41 for as_var in \
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
42 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
43 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
44 LC_TELEPHONE LC_TIME
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
45 do
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
46 if (set +x; test -n "`(eval $as_var=C; export $as_var) 2>&1`"); then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
47 eval $as_var=C; export $as_var
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
48 else
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
49 $as_unset $as_var
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
50 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
51 done
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
52
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
53 # Required to use basename.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
54 if expr a : '\(a\)' >/dev/null 2>&1; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
55 as_expr=expr
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
56 else
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
57 as_expr=false
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
58 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
59
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
60 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
61 as_basename=basename
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
62 else
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
63 as_basename=false
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
64 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
65
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
66
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
67 # Name of the executable.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
68 as_me=`$as_basename "$0" ||
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
69 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
70 X"$0" : 'X\(//\)$' \| \
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
71 X"$0" : 'X\(/\)$' \| \
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
72 . : '\(.\)' 2>/dev/null ||
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
73 echo X/"$0" |
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
74 sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
75 /^X\/\(\/\/\)$/{ s//\1/; q; }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
76 /^X\/\(\/\).*/{ s//\1/; q; }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
77 s/.*/./; q'`
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
78
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
79
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
80 # PATH needs CR, and LINENO needs CR and PATH.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
81 # Avoid depending upon Character Ranges.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
82 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
83 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
84 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
85 as_cr_digits='0123456789'
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
86 as_cr_alnum=$as_cr_Letters$as_cr_digits
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
87
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
88 # The user is always right.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
89 if test "${PATH_SEPARATOR+set}" != set; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
90 echo "#! /bin/sh" >conf$$.sh
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
91 echo "exit 0" >>conf$$.sh
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
92 chmod +x conf$$.sh
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
93 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
94 PATH_SEPARATOR=';'
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
95 else
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
96 PATH_SEPARATOR=:
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
97 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
98 rm -f conf$$.sh
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
99 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
100
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
101
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
102 as_lineno_1=$LINENO
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
103 as_lineno_2=$LINENO
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
104 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
105 test "x$as_lineno_1" != "x$as_lineno_2" &&
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
106 test "x$as_lineno_3" = "x$as_lineno_2" || {
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
107 # Find who we are. Look in the path if we contain no path at all
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
108 # relative or not.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
109 case $0 in
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
110 *[\\/]* ) as_myself=$0 ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
111 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
112 for as_dir in $PATH
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
113 do
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
114 IFS=$as_save_IFS
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
115 test -z "$as_dir" && as_dir=.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
116 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
117 done
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
118
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
119 ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
120 esac
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
121 # We did not find ourselves, most probably we were run as `sh COMMAND'
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
122 # in which case we are not to be found in the path.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
123 if test "x$as_myself" = x; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
124 as_myself=$0
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
125 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
126 if test ! -f "$as_myself"; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
127 { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
128 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
129 { (exit 1); exit 1; }; }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
130 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
131 case $CONFIG_SHELL in
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
132 '')
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
133 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
134 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
135 do
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
136 IFS=$as_save_IFS
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
137 test -z "$as_dir" && as_dir=.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
138 for as_base in sh bash ksh sh5; do
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
139 case $as_dir in
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
140 /*)
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
141 if ("$as_dir/$as_base" -c '
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
142 as_lineno_1=$LINENO
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
143 as_lineno_2=$LINENO
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
144 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
145 test "x$as_lineno_1" != "x$as_lineno_2" &&
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
146 test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
147 $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
148 $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
149 CONFIG_SHELL=$as_dir/$as_base
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
150 export CONFIG_SHELL
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
151 exec "$CONFIG_SHELL" "$0" ${1+"$@"}
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
152 fi;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
153 esac
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
154 done
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
155 done
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
156 ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
157 esac
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
158
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
159 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
160 # uniformly replaced by the line number. The first 'sed' inserts a
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
161 # line-number line before each line; the second 'sed' does the real
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
162 # work. The second script uses 'N' to pair each line-number line
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
163 # with the numbered line, and appends trailing '-' during
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
164 # substitution so that $LINENO is not a special case at line end.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
165 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
166 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
167 sed '=' <$as_myself |
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
168 sed '
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
169 N
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
170 s,$,-,
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
171 : loop
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
172 s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
173 t loop
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
174 s,-$,,
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
175 s,^['$as_cr_digits']*\n,,
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
176 ' >$as_me.lineno &&
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
177 chmod +x $as_me.lineno ||
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
178 { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
179 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
180 { (exit 1); exit 1; }; }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
181
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
182 # Don't try to exec as it changes $[0], causing all sort of problems
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
183 # (the dirname of $[0] is not the place where we might find the
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
184 # original and so on. Autoconf is especially sensible to this).
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
185 . ./$as_me.lineno
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
186 # Exit status is that of the last command.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
187 exit
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
188 }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
189
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
190
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
191 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
192 *c*,-n*) ECHO_N= ECHO_C='
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
193 ' ECHO_T=' ' ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
194 *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
195 *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
196 esac
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
197
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
198 if expr a : '\(a\)' >/dev/null 2>&1; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
199 as_expr=expr
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
200 else
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
201 as_expr=false
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
202 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
203
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
204 rm -f conf$$ conf$$.exe conf$$.file
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
205 echo >conf$$.file
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
206 if ln -s conf$$.file conf$$ 2>/dev/null; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
207 # We could just check for DJGPP; but this test a) works b) is more generic
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
208 # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
209 if test -f conf$$.exe; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
210 # Don't use ln at all; we don't have any links
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
211 as_ln_s='cp -p'
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
212 else
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
213 as_ln_s='ln -s'
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
214 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
215 elif ln conf$$.file conf$$ 2>/dev/null; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
216 as_ln_s=ln
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
217 else
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
218 as_ln_s='cp -p'
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
219 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
220 rm -f conf$$ conf$$.exe conf$$.file
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
221
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
222 if mkdir -p . 2>/dev/null; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
223 as_mkdir_p=:
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
224 else
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
225 as_mkdir_p=false
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
226 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
227
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
228 as_executable_p="test -f"
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
229
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
230 # Sed expression to map a string onto a valid CPP name.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
231 as_tr_cpp="sed y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g"
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
232
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
233 # Sed expression to map a string onto a valid variable name.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
234 as_tr_sh="sed y%*+%pp%;s%[^_$as_cr_alnum]%_%g"
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
235
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
236
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
237 # IFS
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
238 # We need space, tab and new line, in precisely that order.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
239 as_nl='
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
240 '
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
241 IFS=" $as_nl"
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
242
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
243 # CDPATH.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
244 $as_unset CDPATH
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
245
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
246 exec 6>&1
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
247
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
248 # Open the log real soon, to keep \$[0] and so on meaningful, and to
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
249 # report actual input values of CONFIG_FILES etc. instead of their
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
250 # values after options handling. Logging --version etc. is OK.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
251 exec 5>>config.log
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
252 {
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
253 echo
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
254 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
255 ## Running $as_me. ##
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
256 _ASBOX
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
257 } >&5
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
258 cat >&5 <<_CSEOF
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
259
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
260 This file was extended by udis86 $as_me 1.4, which was
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
261 generated by GNU Autoconf 2.57. Invocation command line was
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
262
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
263 CONFIG_FILES = $CONFIG_FILES
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
264 CONFIG_HEADERS = $CONFIG_HEADERS
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
265 CONFIG_LINKS = $CONFIG_LINKS
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
266 CONFIG_COMMANDS = $CONFIG_COMMANDS
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
267 $ $0 $@
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
268
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
269 _CSEOF
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
270 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
271 echo >&5
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
272 config_files=" Makefile libudis86/Makefile udcli/Makefile"
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
273
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
274 ac_cs_usage="\
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
275 \`$as_me' instantiates files from templates according to the
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
276 current configuration.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
277
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
278 Usage: $0 [OPTIONS] [FILE]...
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
279
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
280 -h, --help print this help, then exit
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
281 -V, --version print version number, then exit
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
282 -q, --quiet do not print progress messages
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
283 -d, --debug don't remove temporary files
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
284 --recheck update $as_me by reconfiguring in the same conditions
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
285 --file=FILE[:TEMPLATE]
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
286 instantiate the configuration file FILE
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
287
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
288 Configuration files:
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
289 $config_files
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
290
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
291 Report bugs to <bug-autoconf@gnu.org>."
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
292 ac_cs_version="\
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
293 udis86 config.status 1.4
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
294 configured by ./configure, generated by GNU Autoconf 2.57,
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
295 with options \"'--prefix=/home/vthampi/software'\"
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
296
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
297 Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
298 Free Software Foundation, Inc.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
299 This config.status script is free software; the Free Software Foundation
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
300 gives unlimited permission to copy, distribute and modify it."
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
301 srcdir=.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
302 INSTALL="/usr/bin/install -c"
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
303 # If no file are specified by the user, then we need to provide default
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
304 # value. By we need to know if files were specified by the user.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
305 ac_need_defaults=:
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
306 while test $# != 0
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
307 do
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
308 case $1 in
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
309 --*=*)
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
310 ac_option=`expr "x$1" : 'x\([^=]*\)='`
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
311 ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
312 ac_shift=:
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
313 ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
314 -*)
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
315 ac_option=$1
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
316 ac_optarg=$2
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
317 ac_shift=shift
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
318 ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
319 *) # This is not an option, so the user has probably given explicit
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
320 # arguments.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
321 ac_option=$1
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
322 ac_need_defaults=false;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
323 esac
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
324
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
325 case $ac_option in
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
326 # Handling of the options.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
327 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
328 ac_cs_recheck=: ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
329 --version | --vers* | -V )
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
330 echo "$ac_cs_version"; exit 0 ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
331 --he | --h)
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
332 # Conflict between --help and --header
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
333 { { echo "$as_me:$LINENO: error: ambiguous option: $1
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
334 Try \`$0 --help' for more information." >&5
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
335 echo "$as_me: error: ambiguous option: $1
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
336 Try \`$0 --help' for more information." >&2;}
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
337 { (exit 1); exit 1; }; };;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
338 --help | --hel | -h )
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
339 echo "$ac_cs_usage"; exit 0 ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
340 --debug | --d* | -d )
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
341 debug=: ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
342 --file | --fil | --fi | --f )
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
343 $ac_shift
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
344 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
345 ac_need_defaults=false;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
346 --header | --heade | --head | --hea )
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
347 $ac_shift
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
348 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
349 ac_need_defaults=false;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
350 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
351 | -silent | --silent | --silen | --sile | --sil | --si | --s)
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
352 ac_cs_silent=: ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
353
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
354 # This is an error.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
355 -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
356 Try \`$0 --help' for more information." >&5
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
357 echo "$as_me: error: unrecognized option: $1
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
358 Try \`$0 --help' for more information." >&2;}
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
359 { (exit 1); exit 1; }; } ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
360
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
361 *) ac_config_targets="$ac_config_targets $1" ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
362
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
363 esac
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
364 shift
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
365 done
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
366
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
367 ac_configure_extra_args=
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
368
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
369 if $ac_cs_silent; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
370 exec 6>/dev/null
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
371 ac_configure_extra_args="$ac_configure_extra_args --silent"
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
372 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
373
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
374 if $ac_cs_recheck; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
375 echo "running /bin/sh ./configure " '--prefix=/home/vthampi/software' $ac_configure_extra_args " --no-create --no-recursion" >&6
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
376 exec /bin/sh ./configure '--prefix=/home/vthampi/software' $ac_configure_extra_args --no-create --no-recursion
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
377 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
378
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
379 for ac_config_target in $ac_config_targets
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
380 do
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
381 case "$ac_config_target" in
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
382 # Handling of arguments.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
383 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
384 "libudis86/Makefile" ) CONFIG_FILES="$CONFIG_FILES libudis86/Makefile" ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
385 "udcli/Makefile" ) CONFIG_FILES="$CONFIG_FILES udcli/Makefile" ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
386 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
387 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
388 { (exit 1); exit 1; }; };;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
389 esac
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
390 done
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
391
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
392 # If the user did not use the arguments to specify the items to instantiate,
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
393 # then the envvar interface is used. Set only those that are not.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
394 # We use the long form for the default assignment because of an extremely
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
395 # bizarre bug on SunOS 4.1.3.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
396 if $ac_need_defaults; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
397 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
398 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
399
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
400 # Have a temporary directory for convenience. Make it in the build tree
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
401 # simply because there is no reason to put it here, and in addition,
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
402 # creating and moving files from /tmp can sometimes cause problems.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
403 # Create a temporary directory, and hook for its removal unless debugging.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
404 $debug ||
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
405 {
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
406 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
407 trap '{ (exit 1); exit 1; }' 1 2 13 15
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
408 }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
409
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
410 # Create a (secure) tmp directory for tmp files.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
411
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
412 {
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
413 tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
414 test -n "$tmp" && test -d "$tmp"
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
415 } ||
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
416 {
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
417 tmp=./confstat$$-$RANDOM
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
418 (umask 077 && mkdir $tmp)
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
419 } ||
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
420 {
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
421 echo "$me: cannot create a temporary directory in ." >&2
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
422 { (exit 1); exit 1; }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
423 }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
424
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
425
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
426 #
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
427 # CONFIG_FILES section.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
428 #
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
429
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
430 # No need to generate the scripts if there are no CONFIG_FILES.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
431 # This happens for instance when ./config.status config.h
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
432 if test -n "$CONFIG_FILES"; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
433 # Protect against being on the right side of a sed subst in config.status.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
434 sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
435 s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
436 s,@SHELL@,/bin/sh,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
437 s,@PATH_SEPARATOR@,:,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
438 s,@PACKAGE_NAME@,udis86,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
439 s,@PACKAGE_TARNAME@,udis86,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
440 s,@PACKAGE_VERSION@,1.4,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
441 s,@PACKAGE_STRING@,udis86 1.4,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
442 s,@PACKAGE_BUGREPORT@,vivek@sig9.com,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
443 s,@exec_prefix@,${prefix},;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
444 s,@prefix@,/home/vthampi/software,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
445 s,@program_transform_name@,s,x,x,,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
446 s,@bindir@,${exec_prefix}/bin,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
447 s,@sbindir@,${exec_prefix}/sbin,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
448 s,@libexecdir@,${exec_prefix}/libexec,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
449 s,@datadir@,${prefix}/share,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
450 s,@sysconfdir@,${prefix}/etc,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
451 s,@sharedstatedir@,${prefix}/com,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
452 s,@localstatedir@,${prefix}/var,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
453 s,@libdir@,${exec_prefix}/lib,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
454 s,@includedir@,${prefix}/include,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
455 s,@oldincludedir@,/usr/include,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
456 s,@infodir@,${prefix}/info,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
457 s,@mandir@,${prefix}/man,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
458 s,@build_alias@,,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
459 s,@host_alias@,,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
460 s,@target_alias@,,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
461 s,@DEFS@,-DPACKAGE_NAME=\"udis86\" -DPACKAGE_TARNAME=\"udis86\" -DPACKAGE_VERSION=\"1.4\" -DPACKAGE_STRING=\"udis86\ 1.4\" -DPACKAGE_BUGREPORT=\"vivek@sig9.com\" ,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
462 s,@ECHO_C@,,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
463 s,@ECHO_N@,-n,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
464 s,@ECHO_T@,,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
465 s,@LIBS@,,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
466 s,@CC@,gcc,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
467 s,@CFLAGS@,-g -O2,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
468 s,@LDFLAGS@,,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
469 s,@CPPFLAGS@,,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
470 s,@ac_ct_CC@,gcc,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
471 s,@EXEEXT@,,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
472 s,@OBJEXT@,o,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
473 s,@INSTALL_PROGRAM@,${INSTALL},;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
474 s,@INSTALL_SCRIPT@,${INSTALL},;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
475 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
476 s,@LIBOBJS@,,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
477 s,@LTLIBOBJS@,,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
478 CEOF
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
479
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
480 # Split the substitutions into bite-sized pieces for seds with
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
481 # small command number limits, like on Digital OSF/1 and HP-UX.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
482 ac_max_sed_lines=48
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
483 ac_sed_frag=1 # Number of current file.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
484 ac_beg=1 # First line for current file.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
485 ac_end=$ac_max_sed_lines # Line after last line for current file.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
486 ac_more_lines=:
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
487 ac_sed_cmds=
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
488 while $ac_more_lines; do
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
489 if test $ac_beg -gt 1; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
490 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
491 else
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
492 sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
493 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
494 if test ! -s $tmp/subs.frag; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
495 ac_more_lines=false
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
496 else
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
497 # The purpose of the label and of the branching condition is to
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
498 # speed up the sed processing (if there are no `@' at all, there
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
499 # is no need to browse any of the substitutions).
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
500 # These are the two extra sed commands mentioned above.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
501 (echo ':t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
502 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
503 if test -z "$ac_sed_cmds"; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
504 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
505 else
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
506 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
507 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
508 ac_sed_frag=`expr $ac_sed_frag + 1`
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
509 ac_beg=$ac_end
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
510 ac_end=`expr $ac_end + $ac_max_sed_lines`
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
511 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
512 done
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
513 if test -z "$ac_sed_cmds"; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
514 ac_sed_cmds=cat
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
515 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
516 fi # test -n "$CONFIG_FILES"
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
517
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
518 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
519 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
520 case $ac_file in
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
521 - | *:- | *:-:* ) # input from stdin
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
522 cat >$tmp/stdin
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
523 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
524 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
525 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
526 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
527 * ) ac_file_in=$ac_file.in ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
528 esac
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
529
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
530 # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
531 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
532 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
533 X"$ac_file" : 'X\(//\)[^/]' \| \
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
534 X"$ac_file" : 'X\(//\)$' \| \
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
535 X"$ac_file" : 'X\(/\)' \| \
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
536 . : '\(.\)' 2>/dev/null ||
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
537 echo X"$ac_file" |
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
538 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
539 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
540 /^X\(\/\/\)$/{ s//\1/; q; }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
541 /^X\(\/\).*/{ s//\1/; q; }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
542 s/.*/./; q'`
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
543 { if $as_mkdir_p; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
544 mkdir -p "$ac_dir"
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
545 else
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
546 as_dir="$ac_dir"
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
547 as_dirs=
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
548 while test ! -d "$as_dir"; do
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
549 as_dirs="$as_dir $as_dirs"
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
550 as_dir=`(dirname "$as_dir") 2>/dev/null ||
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
551 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
552 X"$as_dir" : 'X\(//\)[^/]' \| \
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
553 X"$as_dir" : 'X\(//\)$' \| \
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
554 X"$as_dir" : 'X\(/\)' \| \
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
555 . : '\(.\)' 2>/dev/null ||
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
556 echo X"$as_dir" |
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
557 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
558 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
559 /^X\(\/\/\)$/{ s//\1/; q; }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
560 /^X\(\/\).*/{ s//\1/; q; }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
561 s/.*/./; q'`
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
562 done
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
563 test ! -n "$as_dirs" || mkdir $as_dirs
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
564 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
565 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
566 { (exit 1); exit 1; }; }; }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
567
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
568 ac_builddir=.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
569
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
570 if test "$ac_dir" != .; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
571 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
572 # A "../" for each directory in $ac_dir_suffix.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
573 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
574 else
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
575 ac_dir_suffix= ac_top_builddir=
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
576 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
577
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
578 case $srcdir in
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
579 .) # No --srcdir option. We are building in place.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
580 ac_srcdir=.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
581 if test -z "$ac_top_builddir"; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
582 ac_top_srcdir=.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
583 else
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
584 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
585 fi ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
586 [\\/]* | ?:[\\/]* ) # Absolute path.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
587 ac_srcdir=$srcdir$ac_dir_suffix;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
588 ac_top_srcdir=$srcdir ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
589 *) # Relative path.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
590 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
591 ac_top_srcdir=$ac_top_builddir$srcdir ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
592 esac
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
593 # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
594 # absolute.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
595 ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
596 ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}. && pwd`
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
597 ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
598 ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
599
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
600
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
601 case $INSTALL in
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
602 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
603 *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
604 esac
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
605
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
606 if test x"$ac_file" != x-; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
607 { echo "$as_me:$LINENO: creating $ac_file" >&5
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
608 echo "$as_me: creating $ac_file" >&6;}
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
609 rm -f "$ac_file"
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
610 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
611 # Let's still pretend it is `configure' which instantiates (i.e., don't
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
612 # use $as_me), people would be surprised to read:
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
613 # /* config.h. Generated by config.status. */
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
614 if test x"$ac_file" = x-; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
615 configure_input=
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
616 else
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
617 configure_input="$ac_file. "
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
618 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
619 configure_input=$configure_input"Generated from `echo $ac_file_in |
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
620 sed 's,.*/,,'` by configure."
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
621
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
622 # First look for the input files in the build tree, otherwise in the
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
623 # src tree.
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
624 ac_file_inputs=`IFS=:
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
625 for f in $ac_file_in; do
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
626 case $f in
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
627 -) echo $tmp/stdin ;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
628 [\\/$]*)
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
629 # Absolute (can't be DOS-style, as IFS=:)
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
630 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
631 echo "$as_me: error: cannot find input file: $f" >&2;}
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
632 { (exit 1); exit 1; }; }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
633 echo $f;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
634 *) # Relative
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
635 if test -f "$f"; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
636 # Build tree
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
637 echo $f
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
638 elif test -f "$srcdir/$f"; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
639 # Source tree
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
640 echo $srcdir/$f
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
641 else
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
642 # /dev/null tree
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
643 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
644 echo "$as_me: error: cannot find input file: $f" >&2;}
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
645 { (exit 1); exit 1; }; }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
646 fi;;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
647 esac
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
648 done` || { (exit 1); exit 1; }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
649 sed "/^[ ]*VPATH[ ]*=/{
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
650 s/:*\$(srcdir):*/:/;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
651 s/:*\${srcdir}:*/:/;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
652 s/:*@srcdir@:*/:/;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
653 s/^\([^=]*=[ ]*\):*/\1/;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
654 s/:*$//;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
655 s/^[^=]*=[ ]*$//;
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
656 }
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
657
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
658 :t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
659 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
660 s,@configure_input@,$configure_input,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
661 s,@srcdir@,$ac_srcdir,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
662 s,@abs_srcdir@,$ac_abs_srcdir,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
663 s,@top_srcdir@,$ac_top_srcdir,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
664 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
665 s,@builddir@,$ac_builddir,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
666 s,@abs_builddir@,$ac_abs_builddir,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
667 s,@top_builddir@,$ac_top_builddir,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
668 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
669 s,@INSTALL@,$ac_INSTALL,;t t
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
670 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
671 rm -f $tmp/stdin
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
672 if test x"$ac_file" != x-; then
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
673 mv $tmp/out $ac_file
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
674 else
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
675 cat $tmp/out
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
676 rm -f $tmp/out
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
677 fi
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
678
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
679 done
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
680
4a9dcbd9e54f -files of 0.13 beta
marton@basel.hu
parents:
diff changeset
681 { (exit 0); exit 0; }